Update Provider
curl --request PATCH \
--url https://bptest.mapleai.cc/api/ecosystem/providers/{provider_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"contact_person": "<string>",
"phone": "<string>",
"email": "<string>",
"description": "<string>",
"office_address": "<string>",
"founded_date": "2023-12-25",
"credit_code": "<string>",
"business_scope": "<string>",
"legal_representative": "<string>",
"registered_capital": "<string>",
"industry_region": "<string>",
"joined_at": "2023-12-25"
}
'import requests
url = "https://bptest.mapleai.cc/api/ecosystem/providers/{provider_id}"
payload = {
"name": "<string>",
"contact_person": "<string>",
"phone": "<string>",
"email": "<string>",
"description": "<string>",
"office_address": "<string>",
"founded_date": "2023-12-25",
"credit_code": "<string>",
"business_scope": "<string>",
"legal_representative": "<string>",
"registered_capital": "<string>",
"industry_region": "<string>",
"joined_at": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
contact_person: '<string>',
phone: '<string>',
email: '<string>',
description: '<string>',
office_address: '<string>',
founded_date: '2023-12-25',
credit_code: '<string>',
business_scope: '<string>',
legal_representative: '<string>',
registered_capital: '<string>',
industry_region: '<string>',
joined_at: '2023-12-25'
})
};
fetch('https://bptest.mapleai.cc/api/ecosystem/providers/{provider_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 0,
"message": "操作成功",
"data": {
"id": "<string>",
"tenant_id": "<string>",
"code": "<string>",
"name": "<string>",
"provider_type": "legal",
"provider_type_label": "<string>",
"source_name": "<string>",
"joined_at": "2023-12-25",
"contact_person": "<string>",
"listing_status": "listed",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"phone": "<string>",
"email": "<string>",
"description": "<string>",
"office_address": "<string>",
"founded_date": "2023-12-25",
"credit_code": "<string>",
"business_scope": "<string>",
"legal_representative": "<string>",
"registered_capital": "<string>",
"industry_region": "<string>",
"documents": [
{
"category": "honor",
"name": "<string>",
"id": "<string>",
"issuer": "<string>",
"number": "<string>",
"uploaded_at": "2023-12-25",
"file_name": "<string>",
"content_type": "<string>",
"size_bytes": 1,
"download_url": "<string>"
}
],
"members": [
{
"name": "<string>",
"description": "<string>",
"id": "<string>"
}
],
"services": [
{
"category": "<string>",
"name": "<string>",
"price_type": "fixed",
"price_min": 1,
"id": "<string>",
"price_max": 1,
"description": "<string>"
}
],
"reviews": [
{
"nickname": "<string>",
"service_category": "<string>",
"rating": "excellent",
"reviewed_at": "2023-11-07T05:31:56Z",
"id": "<string>"
}
]
},
"timestamp": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}生态资源 / Ecosystem
Update Provider
PATCH
/
api
/
ecosystem
/
providers
/
{provider_id}
Update Provider
curl --request PATCH \
--url https://bptest.mapleai.cc/api/ecosystem/providers/{provider_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"contact_person": "<string>",
"phone": "<string>",
"email": "<string>",
"description": "<string>",
"office_address": "<string>",
"founded_date": "2023-12-25",
"credit_code": "<string>",
"business_scope": "<string>",
"legal_representative": "<string>",
"registered_capital": "<string>",
"industry_region": "<string>",
"joined_at": "2023-12-25"
}
'import requests
url = "https://bptest.mapleai.cc/api/ecosystem/providers/{provider_id}"
payload = {
"name": "<string>",
"contact_person": "<string>",
"phone": "<string>",
"email": "<string>",
"description": "<string>",
"office_address": "<string>",
"founded_date": "2023-12-25",
"credit_code": "<string>",
"business_scope": "<string>",
"legal_representative": "<string>",
"registered_capital": "<string>",
"industry_region": "<string>",
"joined_at": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
contact_person: '<string>',
phone: '<string>',
email: '<string>',
description: '<string>',
office_address: '<string>',
founded_date: '2023-12-25',
credit_code: '<string>',
business_scope: '<string>',
legal_representative: '<string>',
registered_capital: '<string>',
industry_region: '<string>',
joined_at: '2023-12-25'
})
};
fetch('https://bptest.mapleai.cc/api/ecosystem/providers/{provider_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 0,
"message": "操作成功",
"data": {
"id": "<string>",
"tenant_id": "<string>",
"code": "<string>",
"name": "<string>",
"provider_type": "legal",
"provider_type_label": "<string>",
"source_name": "<string>",
"joined_at": "2023-12-25",
"contact_person": "<string>",
"listing_status": "listed",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"phone": "<string>",
"email": "<string>",
"description": "<string>",
"office_address": "<string>",
"founded_date": "2023-12-25",
"credit_code": "<string>",
"business_scope": "<string>",
"legal_representative": "<string>",
"registered_capital": "<string>",
"industry_region": "<string>",
"documents": [
{
"category": "honor",
"name": "<string>",
"id": "<string>",
"issuer": "<string>",
"number": "<string>",
"uploaded_at": "2023-12-25",
"file_name": "<string>",
"content_type": "<string>",
"size_bytes": 1,
"download_url": "<string>"
}
],
"members": [
{
"name": "<string>",
"description": "<string>",
"id": "<string>"
}
],
"services": [
{
"category": "<string>",
"name": "<string>",
"price_type": "fixed",
"price_min": 1,
"id": "<string>",
"price_max": 1,
"description": "<string>"
}
],
"reviews": [
{
"nickname": "<string>",
"service_category": "<string>",
"rating": "excellent",
"reviewed_at": "2023-11-07T05:31:56Z",
"id": "<string>"
}
]
},
"timestamp": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Body
application/json